## xbase
Class DataFormat

    java.lang.Object
      |
      +--xbase.DataFormat

public class DataFormat
extends java.lang.Object

Implement file encryption.

Constructor Summary
`DataFormat()`

Method Summary
`static void` `in(long foffset, int[] l, byte[] buf, int offset)` Decrypt 8 bytes.
`static void` `out(long foffset, int[] l, byte[] buf, int offset)` Encrypt 8 bytes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataFormat

    public DataFormat()

Method Detail

### in

    public static void in(long foffset,
                          int[] l,
                          byte[] buf,
                          int offset)

  Decrypt 8 bytes.
  Parameters:
    `foffset` - The file offset of the buffer.
    `l` - The encryption key.
    `buf` - The buffer containing bytes to decrypt.
    `offset` - The offset into the buffer of the 8 bytes.

### out

    public static void out(long foffset,
                           int[] l,
                           byte[] buf,
                           int offset)

  Encrypt 8 bytes.
  Parameters:
    `foffset` - The file offset of the buffer.
    `l` - The encryption key.
    `buf` - The buffer containing bytes to encrypt.
    `offset` - The offset into the buffer of the 8 bytes.